Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.div
Class Div

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.apache.myfaces.custom.htmlTag.HtmlTag
                      org.apache.myfaces.custom.div.Div

All Implemented Interfaces:
  javax.faces.component.StateHolder, UserRoleAware, javax.faces.component.ValueHolder

public class Div
extends HtmlTag

Version:
  $Revision: 189718 $ $Date: 2005-06-09 02:27:56 -0400 (Thu, 09 Jun 2005) $
Author:
  bdudney (latest modification by $Author: svieujot $)

Field Summary
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.apache.myfaces.custom.htmlTag.HtmlTag
`COMPONENT_FAMILY`

Fields inherited from interface org.apache.myfaces.component.UserRoleAware
`ENABLED_ON_USER_ROLE_ATTR, VISIBLE_ON_USER_ROLE_ATTR`

Constructor Summary
`Div()`

Method Summary
`java.lang.Object` | `getValue()`

Methods inherited from class org.apache.myfaces.custom.htmlTag.HtmlTag
`getClientId, getEnabledOnUserRole, getFamily, getStyle, getStyleClass, getVisibleOnUserRole, isRendered, restoreState, saveState, setEnabledOnUserRole, setStyle, setStyleClass, setVisibleOnUserRole`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, setConverter, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### Div

    public Div()

Method Detail

### getValue

    public java.lang.Object getValue()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD